Name:           python-backports-unittest_mock
Version:        1.2.1
Release:        7
Summary:        Backports of unittest_mock
License:        MIT
URL:            https://github.com/jaraco/backports.unittest_mock
Source0:        https://files.pythonhosted.org/packages/source/b/backports.unittest_mock/backports.unittest_mock-%{version}.tar.gz
Source1:        MIT

BuildArch:      noarch
BuildRequires:  python2-devel python2-setuptools_scm python2-mock
BuildRequires:  python3-devel python3-setuptools_scm python3-mock

%description
Provides the function "install ()" to make the "mock" module available as "unittest.mock" in
Python 3.2 and earlier.It also advertises the pytest plugin, which automatically configures
unittest.mock.

%package        -n python2-backports-unittest_mock
Summary:        Backports of unittest_mock
%{?python_provide:%python_provide python2-backports-unittest_mock}

%description    -n python2-backports-unittest_mock
Provides the function "install ()" to make the "mock" module available as "unittest.mock" in
Python 3.2 and earlier.It also advertises the pytest plugin, which automatically configures
unittest.mock.

%package        -n python3-backports-unittest_mock
Summary:        Backports of unittest_mock
%{?python_provide:%python_provide python3-backports-unittest_mock}

%description    -n python3-backports-unittest_mock
Provides the function "install ()" to make the "mock" module available as "unittest.mock" in
Python 3.2 and earlier.It also advertises the pytest plugin, which automatically configures
unittest.mock.

%prep
%autosetup -n backports.unittest_mock-%{version} -p1

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install
install -p -m 0644 %{SOURCE1} MIT

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-backports-unittest_mock
%doc CHANGES.rst README.rst docs/* MIT
%{python2_sitelib}/*

%files -n python3-backports-unittest_mock
%doc CHANGES.rst README.rst docs/* MIT
%{python3_sitelib}/*

%changelog
* Tue Jan 7 2020 fengbing <fengbing7@huawei.com> - 1.2.1-7
- Package init

